libplib0-1.8.5+svn.2173-3.3.i586.rpm


Advertisement

Description

libplib0 - A collection of game libraries

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libplib0-1.8.5+svn.2173-3.3.i586.rpm
Package name libplib0
Package version 1.8.5+svn.2173
Package release 3.3
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://plib.sourceforge.net/
License LGPL-2.1+
Maintainer -
Download size 576.94 KB
Installed size 1.79 MB
Plib contains a selection of libraries that can be helpful for 3D game
programming. It contains the following libraries:
* JS  - A Joystick interface
* PUI - A simple GUI built on top of OpenGL
* SG  - Some Standard Geometry functions
* SL  - A Games-oriented Sound Library
* SSG - A Simple Scene Graph API built on top of OpenGL

Alternatives

Package Version Architecture Repository
libplib0-1.8.5+svn.2173-79.20.x86_64.rpm 1.8.5+svn.2173 x86_64 Games
libplib0-1.8.5+svn.2173-79.20.i586.rpm 1.8.5+svn.2173 i586 Games
libplib0-1.8.5+svn.2173-3.3.x86_64.rpm 1.8.5+svn.2173 x86_64 openSUSE Oss
libplib0 - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1 -
libc.so.6(GLIBC_2.15) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
libplib0 = 1.8.5+svn.2173-3.3
libplib0(x86-32) = 1.8.5+svn.2173-3.3
libplibfnt.so.0 -
libplibjs.so.0 -
libplibnet.so.0 -
libplibpsl.so.0 -
libplibpu.so.0 -
libplibpuaux.so.0 -
libplibpw.so.0 -
libplibsg.so.0 -
libplibsl.so.0 -
libplibsm.so.0 -
libplibssg.so.0 -
libplibssgaux.so.0 -
libplibul.so.0 -
plib = 1.8.5+svn.2173-3.3

Obsoletes

Name Value
plib < 1.8.5+svn.2173-3.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libplib0-1.8.5+svn.2173-3.3.i586.rpm
Source Package plib-1.8.5+svn.2173-3.3.src.rpm

Install Howto

Install libplib0 rpm package:

# zypper install libplib0

Files

Path
/usr/lib/libplibfnt.so.0
/usr/lib/libplibfnt.so.0.0.0
/usr/lib/libplibjs.so.0
/usr/lib/libplibjs.so.0.0.0
/usr/lib/libplibnet.so.0
/usr/lib/libplibnet.so.0.0.0
/usr/lib/libplibpsl.so.0
/usr/lib/libplibpsl.so.0.0.0
/usr/lib/libplibpu.so.0
/usr/lib/libplibpu.so.0.0.0
/usr/lib/libplibpuaux.so.0
/usr/lib/libplibpuaux.so.0.0.0
/usr/lib/libplibpw.so.0
/usr/lib/libplibpw.so.0.0.0
/usr/lib/libplibsg.so.0
/usr/lib/libplibsg.so.0.0.0
/usr/lib/libplibsl.so.0
/usr/lib/libplibsl.so.0.0.0
/usr/lib/libplibsm.so.0
/usr/lib/libplibsm.so.0.0.0
/usr/lib/libplibssg.so.0
/usr/lib/libplibssg.so.0.0.0
/usr/lib/libplibssgaux.so.0
/usr/lib/libplibssgaux.so.0.0.0
/usr/lib/libplibul.so.0
/usr/lib/libplibul.so.0.0.0
/usr/share/doc/packages/libplib0/ChangeLog
/usr/share/doc/packages/libplib0/KNOWN_BUGS
/usr/share/licenses/libplib0/AUTHORS
/usr/share/licenses/libplib0/COPYING

Changelog

2017-11-29 - crrodriguez@opensuse.org
- Require just pkgconfig(gl) for build and -devel package.
2016-11-14 - jengelh@inai.de
- Replace questionable Mesa binary require for devel package
2016-09-01 - rpm@fthiessen.de
- Update to current svn version 1.8.5+svn.2173
* Removed upstream fixed patches:
plib-1.8.5-commit2136-segfault.patch,
plib-1.8.5-commit2139-slider.patch,
plib-1.8.5-commit2140-slider.patch and
plib-1.8.5-commit2154-segfault.patch
* Removed plib-1.8.5-intptr_t.patch
- Reported patches upstream (even if upstream is orphaned)
2016-07-30 - jengelh@inai.de
- Implement shared library packaging guideline
2013-04-23 - joop.boonen@opensuse.org
- Added missing BuildRequires for openSUSE > 12.3
2012-11-04 - reddwarf@opensuse.org
- Add plib-1.8.5-CVE-2011-4620.patch (bnc#738207) and
plib-1.8.5-CVE-2012-4552.patch (bnc#787305)
2012-02-13 - coolo@suse.com
- patch license to follow spdx.org standard
2011-12-30 - brehmt@gmail.com
- Applied patches from plib SVN
* Fixed segfault in puInput when pasting empty buffer
* Fixed heap corruption when removing puInputBase objects
* Fixed various puSlider issues
2011-11-27 - jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
2011-11-27 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency

See Also

Package Description
libplist++-devel-2.0.0-1.8.i586.rpm Library for handling Apple Binary and XML Property Lists -- Development Files
libplist++-devel-2.0.0-1.8.x86_64.rpm Library for handling Apple Binary and XML Property Lists -- Development Files
libplist++3-2.0.0-1.8.i586.rpm Library for handling Apple Binary and XML Property Lists
libplist++3-2.0.0-1.8.x86_64.rpm Library for handling Apple Binary and XML Property Lists
libplist++3-32bit-2.0.0-1.8.x86_64.rpm Library for handling Apple Binary and XML Property Lists
libplist-devel-2.0.0-1.8.i586.rpm Library for handling Apple Binary and XML Property Lists -- Development Files
libplist-devel-2.0.0-1.8.x86_64.rpm Library for handling Apple Binary and XML Property Lists -- Development Files
libplist3-2.0.0-1.8.i586.rpm Library for handling Apple Binary and XML Property Lists
libplist3-2.0.0-1.8.x86_64.rpm Library for handling Apple Binary and XML Property Lists
libplist3-32bit-2.0.0-1.8.x86_64.rpm Library for handling Apple Binary and XML Property Lists
libplot2-2.6-28.4.i586.rpm GNU Plotting Utilities
libplot2-2.6-28.4.x86_64.rpm GNU Plotting Utilities
libplotter2-2.6-28.4.i586.rpm GNU Plotting Utilities
libplotter2-2.6-28.4.x86_64.rpm GNU Plotting Utilities
libplplot16-5.14.0-2.1.i586.rpm PLplot functions for scientific plotting with C
Advertisement
Advertisement